## swh.fuse-0.9.0.tar.gz

=== requirements.txt ===
aiosqlite
psutil
pyfuse3
python-daemon

=== docs/images/Makefile ===
PUMLs = $(wildcard *.puml)
PDFs = $(patsubst %.puml,%.pdf,$(PUMLs))
PNGs = $(patsubst %.puml,%.png,$(PUMLs))
SVGs = $(patsubst %.puml,%.svg,$(PUMLs))

all: $(PNGs) $(PDFs) $(SVGs)

%.pdf: %.puml
	plantuml -Tpdf $<

%.png: %.puml
	plantuml -Tpng $<

%.svg: %.puml
	plantuml -Tsvg $<


.PHONY: clean

clean:
	rm -f $(PDFs) $(PNGs) $(SVGs)

=== debian/control ===
Source: <dash-separated-module-name>  # example: swh-loader-pypi
Maintainer: Software Heritage developers <swh-devel@inria.fr>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python (>= 2),
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-setuptools-scm,
               python3-swh.core,
               python3-swh.storage,
Standards-Version: 3.9.6
Homepage: https://forge.softwareheritage.org/source/<phabricator short name>/

Package: python3-<dot-separated-name-module>  # example: python3-swh.loader.pypi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Software Heritage <module-description>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=<dot-separated-module-name>  # example: swh.loader.pypi
export PYBUILD_TEST_ARGS=-v -m "not db and not fs"

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -v $(CURDIR)/debian/python3-*/usr/lib/python*/dist-packages/swh/__init__.py
